com.ietnet.fse.igestore.impl.entities

## Class OscuramentoDocumentoEntity

- java.lang.Object
- - com.ietnet.fse.igestore.impl.entities.OscuramentoDocumentoEntity

-     @Entity
      public class OscuramentoDocumentoEntity
      extends java.lang.Object

  Author:
    meola

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OscuramentoDocumentoEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.sql.Timestamp` | `getDataOperazione()`
    `java.lang.String` | `getIdAssistitoFse()`
    `java.lang.String` | `getIdDocumento()`
    `java.lang.String` | `getMaggiorTutela()`
    `java.lang.String` | `getOscurato()`
    `java.lang.String` | `getTitolareDocumento()`
    `java.lang.String` | `getVisibilePreg()`
    `int` | `hashCode()`
    `void` | `setDataOperazione(java.sql.Timestamp dataOperazione)`
    `void` | `setIdAssistitoFse(java.lang.String idAssistitoFse)`
    `void` | `setIdDocumento(java.lang.String idDocumento)`
    `void` | `setMaggiorTutela(java.lang.String maggiorTutela)`
    `void` | `setOscurato(java.lang.String oscurato)`
    `void` | `setTitolareDocumento(java.lang.String titolareDocumento)`
    `void` | `setVisibilePreg(java.lang.String visibilePreg)`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OscuramentoDocumentoEntity

          public OscuramentoDocumentoEntity()

  - ### Method Detail

    - #### getIdAssistitoFse

          public java.lang.String getIdAssistitoFse()

    - #### setIdAssistitoFse

          public void setIdAssistitoFse(java.lang.String idAssistitoFse)

    - #### getIdDocumento

          public java.lang.String getIdDocumento()

    - #### setIdDocumento

          public void setIdDocumento(java.lang.String idDocumento)

    - #### getOscurato

          public java.lang.String getOscurato()

    - #### setOscurato

          public void setOscurato(java.lang.String oscurato)

    - #### getMaggiorTutela

          public java.lang.String getMaggiorTutela()

    - #### setMaggiorTutela

          public void setMaggiorTutela(java.lang.String maggiorTutela)

    - #### getTitolareDocumento

          public java.lang.String getTitolareDocumento()

    - #### setTitolareDocumento

          public void setTitolareDocumento(java.lang.String titolareDocumento)

    - #### getDataOperazione

          @NotNull
          public java.sql.Timestamp getDataOperazione()

    - #### setDataOperazione

          public void setDataOperazione(java.sql.Timestamp dataOperazione)

    - #### getVisibilePreg

          public java.lang.String getVisibilePreg()

    - #### setVisibilePreg

          public void setVisibilePreg(java.lang.String visibilePreg)

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`